CREATE TABLE PUBLIC."nd_purchase" (
          "id" BIGSERIAL NOT NULL,
          "project_id" int8,
          "create_on" TIMESTAMP,
          "update_on" TIMESTAMP,
          "create_by" VARCHAR(128),
          "update_by" VARCHAR(128),
          "supplier" VARCHAR(256) NOT NULL,
          "supplier_contact" VARCHAR(256),
          "supplier_contact_info" VARCHAR(256),
          "purchase_method" INT2,
          "transaction_amount" NUMERIC(12,2),
          "transaction_time" TIMESTAMP,
          "agency" VARCHAR(256),
          "bidding_doc" TEXT,
          "bid_doc" TEXT,
          "acceptance_letter" TEXT,
          CONSTRAINT "nd_purchase_PK" PRIMARY KEY ("id")
);

comment ON COLUMN nd_purchase.id IS 'id';
comment ON COLUMN nd_purchase.project_id IS '项目ID';
comment ON COLUMN nd_purchase.supplier IS '供应商';
comment ON COLUMN nd_purchase.supplier_contact IS '供应商联系人';
comment ON COLUMN nd_purchase.supplier_contact_info IS '供应商联系方式';
comment ON COLUMN nd_purchase.purchase_method IS '采购方式';
comment ON COLUMN nd_purchase.transaction_amount IS '成交金额';
comment ON COLUMN nd_purchase.transaction_time IS '成交时间';
comment ON COLUMN nd_purchase.agency IS '代理机构';
comment ON COLUMN nd_purchase.bidding_doc IS '投标文件';
comment ON COLUMN nd_purchase.bid_doc IS '招标文件';
comment ON COLUMN nd_purchase.acceptance_letter IS '中标通知书';