package com.ningdatech.pmapi.common.model.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 待办中心待我处理项目列表导出实体
 *
 * @author CMM
 * @since 2023/01/19 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor

public class ExcelExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("项目ID")
    private Long id;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("行政区划编码")
    private String areaCode;

    @ExcelProperty("行政区划名称")
    private String area;

    @ExcelProperty("项目负责人")
    private String responsibleMan;

    @ExcelProperty("项目负责人手机号")
    private String responsibleManMobile;

    @ExcelProperty("项目联系人")
    private String contactName;

    @ExcelProperty("项目联系人手机号")
    private String contactPhone;

    @ExcelProperty("上级业务主管单位")
    private String higherSuperOrg;

    @ExcelProperty("上级主管单位浙政钉ID")
    private String higherSuperOrgCode;

    @ExcelProperty("本级主管部门")
    private String superOrg;

    @ExcelProperty("本级主管部门浙政钉ID")
    private String superOrgCode;

    @ExcelProperty("建设单位名称")
    private String buildOrgName;

    @ExcelProperty("建设单位浙政钉ID")
    private String buildOrgZheJiangGovDingId;

    @ExcelProperty("建设单位统一信用代码")
    private String buildOrgCode;

    @ExcelProperty("项目类型")
    private Integer projectType;

    @ExcelProperty("是否首次新建")
    private Integer isFirst;

    @ExcelProperty("关联应用")
    private String relatedExistsApplication;

    @ExcelProperty("关联应用IRS编码")
    private String relatedExistsApplicationCode;

    @ExcelProperty("申报金额(万元)")
    private BigDecimal declareAmount;

    @ExcelProperty("批复金额")
    private BigDecimal approvedTotalInvestmentIncrease;

    @ExcelProperty("预算来源")
    private String budgetSource;

    @ExcelProperty("预算年度")
    private Integer projectYear;

    @ExcelProperty("项目简介")
    private String projectIntroduction;

    @ExcelProperty("立项依据")
    private String buildBasis;

    @ExcelProperty("建设层级")
    private Integer buildLevel;

    @ExcelProperty("发改编码")
    private String developCode;

    @ExcelProperty("财政编码")
    private String financialCode;

    @ExcelProperty("信息是否有效")
    private Boolean informationValidity;

    @ExcelProperty("是否数字化改革项目")
    private Integer isDigitalReform;

    @ExcelProperty("综合应用领域")
    private String bizDomain;

    @ExcelProperty("是否上云")
    private Integer isCloud;

    @ExcelProperty("云类型")
    private String cloudType;

    @ExcelProperty("四大体系")
    private Integer fourSystems;

    @ExcelProperty("是否临时增补")
    private Integer isTemporaryAugment;

    @ExcelProperty("等保级别")
    private Integer protectionLevel;

    @ExcelProperty("是否密评 0:否 1:是")
    private Integer isSecretComments;

    @ExcelProperty("业务编号")
    private String businessNumber;

    @ExcelProperty("业务名称")
    private String businessName;

    @ExcelProperty("单位名称")
    private String orgName;

    @ExcelProperty("软件开发(万元)")
    private BigDecimal softwareDevelopmentAmount;

    @ExcelProperty("云资源、硬件购置(万元)")
    private BigDecimal cloudHardwarePurchaseAmount;

    @ExcelProperty("第三方服务(万元)")
    private BigDecimal thirdPartyAmount;

    @ExcelProperty("投入项")
    private String safetyInputTitle;

    @ExcelProperty("内容描述")
    private String safetyInputDescribe;

    @ExcelProperty("金额(万元)")
    private BigDecimal safetyInputAmount;

    @ExcelProperty("年度支付金额(万元)")
    private BigDecimal annualPlanAmount;

    @ExcelProperty("自有资金(万元)")
    private BigDecimal annualPlanHaveAmount;

    @ExcelProperty("政府投资-本级财政资金(万元)")
    private BigDecimal declareGovOwnFinanceAmount;

    @ExcelProperty("政府投资-上级补助资金(万元)")
    private BigDecimal declareGovSuperiorFinanceAmount;

    @ExcelProperty("银行贷款(万元)")
    private BigDecimal declareBankLendingAmount;

    @ExcelProperty("其它资金(万元)")
    private BigDecimal declareOtherAmount;

    @ExcelProperty("第一季度")
    private String engineeringSpeedOne;

    @ExcelProperty("第二季度")
    private String engineeringSpeedTwo;

    @ExcelProperty("第三季度")
    private String engineeringSpeedThree;

    @ExcelProperty("第四季度")
    private String engineeringSpeedFour;

    @ExcelProperty("初步方案")
    private String preliminaryPlanFile;

    @ExcelProperty("附件-佐证材料")
    private String supportingMaterialsFile;

    @ExcelProperty("备注")
    private String projectRemarks;
}
