package com.ningdatech.pmapi.expert.model;


import com.ningdatech.basic.model.PagePo;
import com.ningdatech.pmapi.meta.model.ExpertRegionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午10:18
 */
@Data
@ApiModel("专家库筛选接口")
public class ExpertAdminExpertManageQuery extends PagePo {

    @ApiModelProperty("专家姓名(精准匹配)")
    private String expertName;

    @ApiModelProperty("工作单位(模糊匹配)")
    private String company;

    @ApiModelProperty("职称级别字典编码")
    private String titleLevelDictionaryCode;

    @ApiModelProperty("单位属性字典编码")
    private String companyAttributeDictionaryCode;

    @ApiModelProperty(value = "专家账号状态", allowableValues = "冻结：freezing,正常：normal")
    private String expertAccountStatus;

    @ApiModelProperty("专家区域区域信息")
    private ExpertRegionInfo expertRegionInfo;

    @ApiModelProperty("履职意向地区域信息")
    private ExpertRegionInfo intentionRegionInfo;

    @ApiModelProperty(value = "是否浙政钉用户")
    private Boolean isDingUser;

    @ApiModelProperty("内外围字典编码")
    private String expertTypeDictionaryCode;

    @ApiModelProperty("专家来源标签编码")
    private String expertSourceTagCode;

    @ApiModelProperty("擅长方向标签编码")
    private String goodAtTagCode;

}
