package com.ningdatech.pmapi.expert.model.dto;


import com.ningdatech.pmapi.expert.model.DictionaryFieldInfo;
import com.ningdatech.pmapi.expert.model.TagFieldInfo;
import com.ningdatech.pmapi.meta.model.ExpertRegionInfo;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/8/4 上午11:36
 */
@Data
public class ExpertAdminExpertManageListDTO {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 专家姓名
     */
    private String expertName;

    /**
     * 工作单位
     */
    private String company;

    /**
     * 单位属性(字典code)
     */
    private List<DictionaryFieldInfo> companyAttribute;

    /**
     * 专家联系方式
     */
    private String phoneNo;

    /**
     * 性别
     */
    private String gender;

    /**
     * 出生日期
     */
    private LocalDateTime birth;

    /**
     * 籍贯
     */
    private String hometown;

    /**
     * 民族
     */
    private String nationality;

    /**
     * 政治面貌(字典code)
     */
    private List<DictionaryFieldInfo> political;

    /**
     * 身份证号码
     */
    private String idCard;

    /**
     * 专家层级
     */
    private ExpertRegionInfo expertRegionInfo;

    /**
     * 银行卡号
     */
    private String bankNo;

    /**
     * 开户银行
     */
    private String bank;

    /**
     * 学历(字典code)
     */
    private List<DictionaryFieldInfo> edu;

    /**
     * 学位(字典code)
     */
    private List<DictionaryFieldInfo> degree;

    /**
     * 职称级别
     */
    private List<DictionaryFieldInfo> titleLevel;

    /**
     * 推荐方式
     */
    private List<DictionaryFieldInfo> recommendedWay;

    /**
     * 单位法人编号
     */
    private String legalEntityCode;

    /**
     * 专家类型(内外围)
     */
    private List<DictionaryFieldInfo> expertType;

    /**
     * 是否浙政钉用户
     */
    private Boolean isDingUser;

    /**
     * 账号状态
     */
    private String expertAccountStatus;

    /**
     * 专家来源
     */
    private List<TagFieldInfo> expertSource;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
