package com.ningdatech.pmapi.expert.model.dto;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/22 下午4:43
 */
@Data
public class ExpertUserFullInfoDTO {

    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 专家账号状态
     */
    private String expertAccountStatus;

    /**
     * 是否浙政钉用户Y/N
     */
    private Boolean isDingUser;

    /**
     * 专家信息提交步骤
     * 0，1，2
     * 0 ：待提交信息 1: 已提交基本信息 2：已提交推荐证明
     */
    private Integer userInfoStep;

    /**
     * 手机号
     */
    private String phoneNo;

    /**
     * 性别
     * 0，1 女，男
     */
    private String gender;

    /**
     * 姓名
     */
    private String name;

    /**
     * 免冠照图片文件地址
     */
    private Long avatarFileId;

    /**
     * 身份证号码
     */
    private String idCard;

    /**
     * 办公电话
     */
    private String officePhone;

    /**
     * 出生日期
     */
    private LocalDateTime birth;

    /**
     * 银行卡号
     */
    private String bankNo;

    /**
     * 开户银行
     */
    private String bank;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * 毕业院校
     */
    private String school;

    /**
     * 毕业时间
     */
    private LocalDateTime graduatedAt;

    /**
     * 所学专业
     */
    private String academicTitle;

    /**
     * 毕业证 文件id
     */
    private List<Long> graduationCertificateFileIdList;

    /**
     * 学位证 文件id
     */
    private List<Long> degreeCertificateFileIdList;

    /**
     * 退休时间
     */
    private LocalDateTime retiredAt;

    /**
     * 工作单位
     */
    private String company;

    /**
     * 工作单位前端使用标识
     */
    private String companyUniqCode;

    /**
     * 单位法人编号
     */
    private String legalEntityCode;

    /**
     * 行政职务
     */
    private String administrativeDuties;

    /**
     * 开始工作时间
     */
    private LocalDateTime startWorkAt;

    /**
     * 工作地址
     */
    private String address;

    /**
     * 工作经历
     */
    private String experience;

    /**
     * 技术职称
     */
    private String technicalTitles;

    /**
     * 职称证明
     * 文件id
     */
    private List<Long> titleCertificateFileIdList;

    /**
     * 获奖情况
     */
    private String awards;

    /**
     * 表彰奖励
     */
    private String recognitionReward;

    /**
     * 推荐证明材料文件id
     */
    private List<Long> recommendationProofFileIdList;

    /**
     * 专家层级（区域编码）
     */
    private String regionCode;

    /**
     * 区域级别
     */
    private Integer regionLevel;

    /**
     * 专家管理员审核备注
     */
    private String remark;

    /**
     * 籍贯
     */
    private String hometown;

    /**
     * 民族
     */
    private String nationality;
}
