package com.ningdatech.pmapi.expert.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * ReviewTemplateOptionVO
 * </p>
 *
 * @author WendyYang
 * @since 16:12 2023/2/15
 */
@Data
@Builder
public class ReviewTemplateOptionDTO {

    @Tolerate
    public ReviewTemplateOptionDTO() {
    }

    @ApiModelProperty("问题序号")
    @NotNull(message = "问题序号不能为空")
    private Integer questionSerialNo;

    @ApiModelProperty("选项序号")
    @NotEmpty(message = "选项序号不能为空")
    private List<Integer> optionSerialNo;

    @ApiModelProperty("其他意见或建议")
    private String otherAdvice;

}