package com.ningdatech.pmapi.expert.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 专家评价
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@Data
@TableName("nd_expert_review")
@ApiModel(value = "ExpertReview对象", description = "专家评价")
public class ExpertReview implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    private String projectCode;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("评审模版配置ID")
    private Long templateId;

    @ApiModelProperty("评审内容")
    private String content;

    @ApiModelProperty("意见或建议")
    private String otherAdvice;

    @ApiModelProperty("附件ID")
    private Long attachFileId;

    @ApiModelProperty("评审结果")
    private Integer reviewResult;

    @ApiModelProperty("创建人姓名")
    private String creator;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("是否是最终意见")
    private Boolean isFinal;

    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

}
