package com.ningdatech.pmapi.expert.model.req;

import com.ningdatech.pmapi.expert.model.dto.ReviewTemplateOptionDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * ExpertReviewDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 14:37 2023/2/15
 */
@Data
public class ExpertReviewDetailReq {

    @ApiModelProperty("模版ID")
    @NotNull(message = "模版ID不能为空")
    private Long templateId;

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("项目编号")
    @NotNull(message = "项目编号不能为空")
    private String projectCode;

    @ApiModelProperty("会议ID")
    @NotNull(message = "会议ID不能为空")
    private Long meetingId;

    @Valid
    @ApiModelProperty("配置模版")
    @NotEmpty(message = "配置不能为空")
    private List<ReviewTemplateOptionDTO> reviewTemplateOptions;

    @ApiModelProperty("其他意见或建议")
    @NotEmpty(message = "其他意见或建议不能为空")
    private String otherAdvice;

    @ApiModelProperty("附件ID")
    private Long attachFileId;

    @ApiModelProperty("评审结果：1 通过、2 需复核、3 不通过")
    @NotNull(message = "评审结果不能为空")
    private Integer reviewResult;

    @ApiModelProperty("是否是最终意见")
    @NotNull(message = "是否是最终意见不能为空")
    private Boolean isFinal;

}
