package com.ningdatech.pmapi.expert.model.req;

import com.ningdatech.pmapi.expert.model.DictionaryFieldInfo;
import com.ningdatech.pmapi.expert.model.TagFieldInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/26 下午4:20
 * 申请结果请求基类
 */
@Data
@Validated
public class MetaApplyResultRequest {

    @NotNull
    @ApiModelProperty("申请id")
    private Long applyId;

    @NotNull
    @ApiModelProperty("审核结果")
    private Boolean applyResult;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("入库审核额外参数，只有入库审核结果审批才需要填写")
    private StorageApplyResultExtraInfo storageApplyResultExtraInfo;


    @Data
    @ApiModel("入库审核额外参数")
    public static class StorageApplyResultExtraInfo {
        @ApiModelProperty("专家类型-内外围")
        private List<DictionaryFieldInfo> expertType;

        @ApiModelProperty("其他标签(标签code)")
        private List<TagFieldInfo> other;

        @ApiModelProperty("备注")
        private String remark;
    }
}
