package com.ningdatech.pmapi.expert.model.req;

import com.ningdatech.pmapi.expert.model.dto.ReviewTemplateSettingsDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * ReviewTemplateReq
 * </p>
 *
 * @author WendyYang
 * @since 10:11 2023/2/15
 */
@Data
public class ReviewTemplateReq {

    @ApiModelProperty("模版类型")
    @NotNull(message = "模版类型不能为空")
    private Integer templateType;

    @ApiModelProperty("区域编码")
    @NotBlank(message = "区域编码不能为空")
    private String regionCode;

    @Valid
    @NotEmpty(message = "模版不能为空")
    @ApiModelProperty("模版数据")
    private List<ReviewTemplateSettingsDTO> templates;

}
