package com.ningdatech.pmapi.expert.model.vo;

import com.ningdatech.pmapi.expert.model.*;
import com.ningdatech.pmapi.meta.model.ExpertRegionInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/7/25 下午1:43
 */
@Data
@ApiModel("专家全量信息")
public class ExpertFullInfoVO {

    @ApiModelProperty("专家用户id")
    private Long userId;

    @ApiModelProperty("基本信息")
    private ExpertBasicInfo basicInfo;

    @ApiModelProperty("学历信息")
    private ExpertEduInfo eduInfo;

    @ApiModelProperty("职业信息")
    private ExpertJobInfo jobInfo;

    @ApiModelProperty("专业信息")
    private ExpertProfessionalInfo professionalInfo;

    @ApiModelProperty("推荐信息")
    private ExpertRecommendInfo recommendInfo;

    @ApiModelProperty("其他信息")
    private ExpertOtherInfo expertOtherInfo;

    @NotEmpty
    @ApiModelProperty("专家申请履职意向展示列表")
    private List<ExpertRegionInfo> expertApplyIntentionWorkRegions;

}
