package com.ningdatech.pmapi.filemanage.model.vo;

import com.ningdatech.pmapi.expert.model.vo.ExpertReviewDetailVO;
import com.ningdatech.pmapi.expert.model.vo.ProjectReviewDetailVO;
import com.ningdatech.pmapi.projectdeclared.model.vo.ContractVO;
import com.ningdatech.pmapi.projectdeclared.model.vo.FinalAcceptanceVO;
import com.ningdatech.pmapi.projectdeclared.model.vo.PreInsVO;
import com.ningdatech.pmapi.projectdeclared.model.vo.PurchaseVO;
import com.ningdatech.pmapi.projectlib.model.vo.ProjectDetailVO;
import com.wflow.workflow.bean.vo.ProcessDetailVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname ProjectFileVO
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectFileVO", description = "项目档案")
public class ProjectFileVO {

    @ApiModelProperty("项目档案详情")
    private ProjectDetailVO projectDetailVo;

    @ApiModelProperty("流程进度详情")
    private List<ProcessDetailVO> processDetailVos;

    @ApiModelProperty("专家评审详情")
    private ProjectReviewDetailVO projectReviewDetailVo;

    @ApiModelProperty("招标登记详情")
    private List<PurchaseVO> purchaseVos;

    @ApiModelProperty("合同登记详情")
    private ContractVO contractVo;

    @ApiModelProperty("初验登记详情")
    private PreInsVO preInsVo;

    @ApiModelProperty("终验信息详情")
    private FinalAcceptanceVO finalAcceptanceVo;
}
