package com.ningdatech.pmapi.gov.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目申报信息表
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@TableName("gov_biz_project_apply")
@ApiModel(value = "GovBizProjectApply对象", description = "项目申报信息表")
public class GovBizProjectApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目编号")
    private String baseProjId;

    @ApiModelProperty("基本项目名称")
    private String baseProjName;

    @ApiModelProperty("发改委项目代码")
    private String baseDevelopCode;

    @ApiModelProperty("财政项目代码")
    private String setProjCodeFinan;

    @ApiModelProperty("历年项目名称")
    private String baseHistorProjName;

    @ApiModelProperty("'历年项目编码'")
    private String baseHistorProjId;

    @ApiModelProperty("历年项目年度")
    private String baseHistorProjYear;

    @ApiModelProperty("关联IRS应用名称")
    private String baseProjSys;

    @ApiModelProperty("关联IRS应用编号")
    private String baseProjSysCode;

    @ApiModelProperty("一本账重大应用名称")
    private String baseAccountAppName;

    @ApiModelProperty("领域大脑 一本账名称")
    private String baseBrainName;

    @ApiModelProperty("单位核心业务名称")
    private String baseCoreBusiness;

    @ApiModelProperty("单位核心业务编号")
    private String baseCoreBusinessCode;

    @ApiModelProperty("项目开始时间")
    private LocalDateTime baseProjStartTime;

    @ApiModelProperty("项目结束时间")
    private LocalDateTime baseProjEndTime;

    @ApiModelProperty("项目期限")
    private LocalDateTime baseProjDuration;

    @ApiModelProperty("项目年度")
    private String baseProjSetYear;

    @ApiModelProperty("预算来源")
    private String baseProjAmountOri;

    @ApiModelProperty("预算来源说明")
    private String baseBasisAmountOri;

    @ApiModelProperty("项目总投资")
    private BigDecimal baseProjTotalAmount;

    @ApiModelProperty("申报年度预算")
    private BigDecimal baseProjDeclAmount;

    @ApiModelProperty("建设层级")
    private String baseProjConsClass;

    @ApiModelProperty("贯通层级")
    private String baseLowestLevel;

    @ApiModelProperty("立项依据")
    private String baseProjBasis;

    @ApiModelProperty("立项依据说明")
    private String baseBasisEstablish;

    @ApiModelProperty("立项依据证明材料")
    private String baseProjBasisFile;

    @ApiModelProperty("项目概述")
    private String baseProjIntro;

    @ApiModelProperty("项目内容与预期成效")
    private String beseExpectedResults;

    @ApiModelProperty("可研报告")
    private String baseResearchReportFile;

    @ApiModelProperty("项目申报书")
    private String baseProjApplyFile;

    @ApiModelProperty("运维方案")
    private String baseOperatMaintenFile;

    @ApiModelProperty("其他附件")
    private String baseProjOtherFile;

    @ApiModelProperty("备注")
    private String baseProjRemark;

    @ApiModelProperty("数据来源 区域code")
    private String areaCode;

    @ApiModelProperty("生产时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("逻辑删除")
    private Boolean deleted;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private String updateBy;

    @ApiModelProperty("立项依据材料PDF版")
    private String baseProjBasisFilePdf;
}
