package com.ningdatech.pmapi.gov.model.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目基本信息
 * </p>
 *
 * @author CMM
 * @since 2023-08-22
 */
@Data
@TableName("szls_da_biz_331100_project_baseinfo")
@ApiModel(value = "SzlsDaBiz331100ProjectBaseinfo对象", description = "项目基本信息")
public class ProjectBaseInfoReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目代码")
    private String baseProjId;

    @ApiModelProperty("项目名称")
    private String baseProjName;

    @ApiModelProperty("所属区划")
    private String baseAreaName;

    @ApiModelProperty("所属区划编码")
    private String baseAreaCode;

    @ApiModelProperty("是否涉密")
    private String baseProjIsConfidentiality;

    @ApiModelProperty("项目类型")
    private String baseProjType;

    @ApiModelProperty("内容类别")
    private String baseConstructionType;

    @ApiModelProperty("项目状态")
    private String baseProjSetProg;

    @ApiModelProperty("信息是否有效")
    private String isEffective;

    @ApiModelProperty("上级主管单位")
    private String baseProvManDeprt;

    @ApiModelProperty("上级主管单位浙政钉ID")
    private String baseProvManDeprtDing;

    @ApiModelProperty("本级主管单位")
    private String baseManDeprt;

    @ApiModelProperty("本级主管单位浙政钉ID")
    private String baseManDeprtDing;

    @ApiModelProperty("本级主管单位统一社会信用代码")
    private String baseManDepartUsci;

    @ApiModelProperty("建设单位（申报单位）")
    private String baseBuildDeprt;

    @ApiModelProperty("建设单位浙政钉ID")
    private String baseBuildDeprtDing;

    @ApiModelProperty("建设单位统一社会信用代码")
    private String baseBuildDepartUsci;

    @ApiModelProperty("项目负责人")
    private String baseProjPrincipal;

    @ApiModelProperty("项目负责人手机号")
    private String baseProjPrincipalCall;

    @ApiModelProperty("项目联系人")
    private String baseProjContacts;

    @ApiModelProperty("项目联系人手机号")
    private String baseProjContactsCall;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("出生产库时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("数据入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("发送端自增列")
    @TableId(value = "tongID", type = IdType.AUTO)
    private Integer tongID;
}
