package com.ningdatech.pmapi.gov.model.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 运维项目实施信息
 * </p>
 *
 * @author CMM
 * @since 2023-08-22
 */
@Data
@TableName("szls_da_biz_331100_project_mimplement")
@ApiModel(value = "SzlsDaBiz331100ProjectMimplement对象", description = "运维项目实施信息")
public class ProjectMimplementReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("标段代码")
    private String baseBidCode;

    @ApiModelProperty("标段名称")
    private String baseBidName;

    @ApiModelProperty("项目代码")
    private String baseProjId;

    @ApiModelProperty("项目名称")
    private String baseProjName;

    @ApiModelProperty("发改项目代码")
    private String baseDevelopCode;

    @ApiModelProperty("关联IRS应用编码")
    private String baseProjSysCode;

    @ApiModelProperty("信息安全等级保护测评报告")
    private String baseInforLevelFile;

    @ApiModelProperty("商业密码应用评估报告")
    private String basePasswAssessFile;

    @ApiModelProperty("第三方验收测试报告")
    private String baseThirdAcceptFile;

    @ApiModelProperty("用户使用报告")
    private String baseUserConsFile;

    @ApiModelProperty("监理总结报告")
    private String baseEstaSummFile;

    @ApiModelProperty("运维总结报告")
    private String baseOperatMaintenSummFile;

    @ApiModelProperty("是否完成日志数据归集")
    private String baseLogAggregation;

    @ApiModelProperty("实际成效指标")
    private String baseBusinessMetrics;

    @ApiModelProperty("终验意见")
    private String baseFinalExpertOpinionFile;

    @ApiModelProperty("项目延期申请表")
    private String baseEngineerPostpoFile;

    @ApiModelProperty("变更报告")
    private String baseEngineerAlterFile;

    @ApiModelProperty("变更批复文件")
    private String baseChanFile;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("出生产库时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("数据入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("发送端自增列")
    @TableId(value = "tongID", type = IdType.AUTO)
    private Integer tongID;
}
