package com.ningdatech.pmapi.irs.controller;

import com.ningdatech.zwdd.client.ZwddClient;
import com.ningdatech.zwdd.model.dto.DingOrgInfoDTO;
import com.ningdatech.zwdd.model.dto.SubGovBusinessStripsDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Classname OrganizationController
 * @Description
 * @Date 2023/8/16 9:57
 * @Author PoffyZhang
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/irs/org")
@Api(value = "Organization", tags = "irs-企业信息")
@RequiredArgsConstructor
public class OrganizationController {

    private final ZwddClient zwddClient;

    @ApiOperation(value = "获取企业信息", notes = "获取企业信息")
    @GetMapping("/getOrganizationByCode/{code}")
    public DingOrgInfoDTO getOrganizationByCode(@PathVariable String code) {
        return zwddClient.getOrganizationByCode(code).getData();
    }

    @ApiOperation(value = "获取条线列表", notes = "获取条线列表")
    @GetMapping("/getGovBusinessStripLine/{code}")
    public List<SubGovBusinessStripsDTO> getGovBusinessStripLine(@PathVariable String code) {
        return zwddClient.getGovBusinessStripLine(code).getData();
    }
}
