package com.ningdatech.pmapi.leave.entity.vo;

import com.ningdatech.file.entity.vo.result.AttachFileVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * LeaveListItemByCreatorVo
 * </p>
 *
 * @author WendyYang
 * @since 20:53 2022/8/11
 */
@Data
@ApiModel("我得请假列表实体（发起人）")
public class LeaveListItemVO {

    @ApiModelProperty("请假ID")
    private Long leaveId;

    @ApiModelProperty("审核ID")
    private Long auditId;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("实际结束时间")
    private LocalDateTime actualEndTime;

    @ApiModelProperty("请假说明")
    private String postscript;

    @ApiModelProperty("说明材料")
    private List<AttachFileVo> attachments;

    @ApiModelProperty("请假类型")
    private Integer leaveType;

    @ApiModelProperty("相关会议")
    private String meetingName;

    @ApiModelProperty("审核状态")
    private String auditStatus;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("审核意见")
    private String auditOption;

    private LocalDateTime createOn;

}
