package com.ningdatech.pmapi.leave.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.common.model.entity.KeyValDTO;
import com.ningdatech.pmapi.leave.entity.domain.ExpertLeaveDetail;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 专家请假详情表（维度：天） 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-08-11
 */
public interface IExpertLeaveDetailService extends IService<ExpertLeaveDetail> {

    List<ExpertLeaveDetail> listByDateAndLeaveUserId(LocalDate startDate, LocalDate endDate, Long leaveUserId);

    boolean existsLeaveByUserIdAndTime(Long userId, List<KeyValDTO<LocalDateTime, LocalDateTime>> times);

}
