package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * <p>
 * 专家抽取免打扰时间设置
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-21
 */
@Data
@TableName("expert_invite_ignore_time")
@ApiModel(value = "ExpertInviteIgnoreTime对象", description = "专家抽取免打扰时间设置")
public class ExpertInviteIgnoreTime implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("是否启用")
    private Boolean enable;

    @ApiModelProperty("开始时间")
    private LocalTime startTime;

    @ApiModelProperty("截止时间")
    private LocalTime endTime;

    @ApiModelProperty("创建人ID")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改人ID")
    private Long updateBy;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

}
