package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 事务专家表
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-27
 */
@Data
@Builder
@TableName("meeting_expert")
@ApiModel(value = "MeetingExpert对象", description = "事务专家表")
public class MeetingExpert implements Serializable {

    @Tolerate
    public MeetingExpert() {
    }

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("事务ID")
    private Long meetingId;

    @ApiModelProperty("专家ID")
    private Long expertId;

    @ApiModelProperty("邀请规则ID")
    private Long ruleId;

    private String mobile;

    private String expertName;

    @ApiModelProperty("当前状态")
    private Integer status;

    @ApiModelProperty("是否是专家组长")
    private Boolean isHeadman;

    @ApiModelProperty("邀请类型")
    private Integer inviteType;

    @ApiModelProperty("是否已确认名单")
    private Boolean confirmedRoster;

    private String submitKey;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

}
