package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.pmapi.sys.model.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 专家评价表
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-25
 */
@Data
@TableName("meeting_expert_evaluation")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "MeetingExpertEvaluation对象", description = "专家评价表")
public class MeetingExpertEvaluation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("专家事务关联ID")
    private Long expertMeetingId;

    @ApiModelProperty("事务ID")
    private Long meetingId;

    @ApiModelProperty("专家ID")
    private Long expertId;

    @TableField(value = "is_attended")
    @ApiModelProperty("是否参加")
    private Boolean attended;

    @TableField(value = "is_in_time")
    @ApiModelProperty("是否准时参加")
    private Boolean inTime;

    @TableField(value = "is_violated")
    @ApiModelProperty("是否违规")
    private Boolean violated;

    @ApiModelProperty("参与程度")
    private Integer initiative;

    @ApiModelProperty("建设性建议")
    private String advice;

    @ApiModelProperty("评审结果情况")
    private String evaluateResult;

    @ApiModelProperty("违规情况")
    private String violation;

}
