package com.ningdatech.pmapi.meeting.entity.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 会议专家履职评价表
 * </p>
 *
 * @author WendyYang
 * @since 2023-07-31
 */
@Data
@TableName("meeting_expert_judge")
@ApiModel(value = "MeetingExpertJudge对象")
public class MeetingExpertJudge implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("会议ID")
    private Long meetingId;

    private Long expertId;

    @ApiModelProperty("会议专家ID")
    private Long meetingExpertId;

    @ApiModelProperty("评分（1~10）")
    private Integer score;

    @ApiModelProperty("是否参加：1 准时、2 迟到、3 缺席")
    private Integer attended;

    @ApiModelProperty("参与程度：1 积极、2 消极")
    private Integer performance;

    @ApiModelProperty("是否提出建议：true 是、false 否")
    private Boolean advised;

    @ApiModelProperty("是否早退：true 早退、false 未早退")
    private Boolean leaveEarly;

    @ApiModelProperty("是否违规：true 是、false 否")
    private Boolean brokeRule;

    @ApiModelProperty("违规内容")
    private String brokeRuleContent;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

}
