package com.ningdatech.pmapi.meeting.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * ExpertEvaluationPo
 * </p>
 *
 * @author WendyYang
 * @since 15:30 2022/7/25
 */
@Data
@ApiModel("专家评价实体")
public class ExpertEvaluationReq {

    @ApiModelProperty("专家事务关联ID")
    @NotNull(message = "专家事务关联ID不能为空")
    private Long expertMeetingId;

    @ApiModelProperty("是否参加")
    @NotNull(message = "是否参加不能为空")
    private Boolean attended;

    @ApiModelProperty("是否准时参加")
    private Boolean inTime;

    @ApiModelProperty("是否违规")
    @NotNull(message = "是否违规不能为空")
    private Boolean violated;

    @ApiModelProperty("违规情况")
    private String violation;

    @ApiModelProperty("参与程度：1 很积极...5 很消极")
    @NotNull(message = "参与程度不能为空")
    private Integer initiative;

    @ApiModelProperty("建设性的建议")
    private String advice;

    @ApiModelProperty("评审结果")
    private String evaluateResult;

}
