package com.ningdatech.pmapi.meeting.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingListByManagerPo
 * </p>
 *
 * @author WendyYang
 * @since 11:07 2022/8/8
 */
@Data
@ApiModel("专家抽取员事务列表请求参数")
@EqualsAndHashCode(callSuper = true)
public class MeetingListReq extends PagePo {

    @ApiModelProperty("会议名称")
    private String name;

    @ApiModelProperty("会议开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("事务状态")
    private Integer status;

    @ApiModelProperty("会议类型")
    private String meetingType;

    @ApiModelProperty("专家ID")
    private Long expertId;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("区域编码")
    private String regionCode;

    @ApiModelProperty("区域层级")
    private Integer regionLevel;

    @ApiModelProperty("参会名单是否确认")
    private Boolean confirmedRoster;

}
