package com.ningdatech.pmapi.meeting.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * MeetingResultPo
 * </p>
 *
 * @author WendyYang
 * @since 21:20 2022/8/8
 */
@Data
@ApiModel("会议结果上传实体")
public class MeetingResultReq {

    @NotNull(message = "事务ID不能为空")
    @ApiModelProperty("事务ID")
    private Long meetingId;

    @NotBlank(message = "会议结果说明不能为空")
    @ApiModelProperty("会议结果说明")
    private String resultDescription;

    @ApiModelProperty("附件ID")
    private List<Long> attachments;

}
