package com.ningdatech.pmapi.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * <p>
 * 专家抽取免打扰时间设置
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-21
 */
@Data
@ApiModel("专家抽取免打扰时间设置")
public class ExpertInviteIgnoreTimeListVO {

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("是否启用：true 是、false 否")
    private Boolean enable;

    @ApiModelProperty("开始时间")
    @JSONField(format = "HH:mm")
    private LocalTime startTime;

    @ApiModelProperty("截止时间")
    @JSONField(format = "HH:mm")
    private LocalTime endTime;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

}
