package com.ningdatech.pmapi.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;

/**
 * <p>
 * MeetingByManagerVo
 * </p>
 *
 * @author WendyYang
 * @since 11:43 2022/8/8
 */
@Data
@Builder
@ApiModel("会议实体（管理员列表）")
public class MeetingByManagerVO {

    @Tolerate
    public MeetingByManagerVO() {
    }

    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("会议专家ID")
    private Long meetingExpertId;

    @ApiModelProperty("会议开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("会议结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("会议状态")
    private Integer status;

    @ApiModelProperty("抽取类型")
    private Integer inviteType;

    @ApiModelProperty("抽取状态")
    private Boolean inviteStatus;

    @ApiModelProperty("名单确认状态")
    private Boolean confirmedRoster;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议类型编码")
    private String meetingType;

    @ApiModelProperty("会议类型名称")
    private String meetingTypeName;

    @ApiModelProperty("专家状态")
    private Integer expertStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("是否评价")
    private Boolean hasJudge;

}
