package com.ningdatech.pmapi.meeting.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.ningdatech.pmapi.meeting.entity.dto.MeetingReviewProjectDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * MeetingDetailBasicVo
 * </p>
 *
 * @author WendyYang
 * @since 15:16 2022/8/8
 */
@Data
@Builder
@ApiModel("会议详情基本信息")
public class MeetingDetailBasicVO {

    @Tolerate
    public MeetingDetailBasicVO() {
    }

    private Long meetingId;

    @ApiModelProperty("会议名称")
    private String meetingName;

    @ApiModelProperty("会议类型名称")
    private String typeName;

    private String regionCode;

    @ApiModelProperty("会议类型代码")
    private String meetingType;

    @ApiModelProperty("开始时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("评委到场时间")
    @JSONField(format = "yyyy-MM-dd HH:mm")
    private LocalDateTime judgesAttendanceTime;

    @ApiModelProperty("会议耗时")
    private Integer meetingUsageTime;

    @ApiModelProperty("联系人")
    private String connecter;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("评审地点")
    private String meetingAddress;

    @ApiModelProperty("联系方式")
    private String contact;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("会议状态")
    private Integer status;

    @ApiModelProperty("取消说明")
    private String cancelRemark;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("抽取单位")
    private String holdOrg;

    @ApiModelProperty("抽取信息")
    private InviteRuleDetailVO inviteRule;

    @ApiModelProperty("评审项目信息")
    private List<MeetingReviewProjectDTO> projects;

    @ApiModelProperty("是否已停止邀请")
    private Boolean invitedStopped;

    @ApiModelProperty("是否已确认名单")
    private Boolean confirmedRoster;

    @ApiModelProperty("邀请类型")
    private Integer inviteType;

}
