package com.ningdatech.pmapi.meeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.meeting.entity.domain.ExpertInviteAvoidRule;
import com.ningdatech.pmapi.meeting.entity.dto.AvoidRuleDTO;

/**
 * <p>
 * IExpertInviteAvoidRuleService服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface IExpertInviteAvoidRuleService extends IService<ExpertInviteAvoidRule> {

    ExpertInviteAvoidRule getByMeetingId(Long meetingId);

    /**
     * 获取回避信息
     *
     * @param meetingId 会议ID
     * @return {@link AvoidRuleDTO}
     * @author WendyYang
     **/
    AvoidRuleDTO getAvoidInfo(Long meetingId);

}
