package com.ningdatech.pmapi.meta.helper;



import com.ningdatech.pmapi.meta.constant.DictAllTypeEnum;
import com.ningdatech.pmapi.meta.model.dto.DictionaryDTO;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/12/22 上午11:03
 */

public interface DictionaryCache {

    /**
     * 根据字典类型枚举 获取 字典列表
     *
     * @param dictionaryType
     * @return
     */
    List<DictionaryDTO> getDictionaryListByDictionaryType(DictAllTypeEnum dictionaryType);

    /**
     * 根据字典类型 获取 字典列表
     *
     * @param dictionaryType
     * @return
     */
    List<DictionaryDTO> getDictionaryListByDictionaryType(String dictionaryType);

    /**
     * 根据字典类型、字典编码 获取 字典实体
     *
     * @param dictionaryType
     * @param code
     * @return
     */
    DictionaryDTO getDictionaryByDictionaryType(DictAllTypeEnum dictionaryType, String code);

    /**
     * 根据字典编码 获取 字典实体
     *
     * @param dictionaryCode
     * @return
     */
    DictionaryDTO getByCode(String dictionaryCode);
}
