package com.ningdatech.pmapi.meta.service;

import com.ningdatech.pmapi.meta.constant.DictExpertInfoTypeEnum;
import com.ningdatech.pmapi.meta.model.entity.ExpertDictionary;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
public interface IExpertDictionaryService extends IService<ExpertDictionary> {


    /**
     * 根据专家ID批量查询专家字典信息
     *
     * @param userIds  专家ID
     * @param dictType 专家字典类型
     * @return /
     * @author WendyYang
     **/
    List<ExpertDictionary> listByUserId(Collection<Long> userIds, DictExpertInfoTypeEnum dictType);

}
