package com.ningdatech.pmapi.performance.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.Size;

/**
 * 绩效评级-项目指标库 新增指标保存
 * @return
 * @author CMM
 * @since 2023/07/28 15:44
 */
@Data
@ApiModel(value = "绩效评价考核项目指标库", description = "绩效评价考核项目指标库")
public class PerformanceIndicatorProjectIndexSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("指标名称")
    @Size(max = 50)
    private String indexName;

    @ApiModelProperty("指标级别(1 一级、2 二级、3 三级)")
    private Integer indexLevel;

    @ApiModelProperty("指标分值")
    @Range(min = 0, max = 100, message = "数值范围不正确,数值应大于0小于100")
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则")
    @Size(max = 200)
    private String indexDetail;

    @ApiModelProperty("评分细则")
    @Size(max = 200)
    private String gradeDetail;

    @ApiModelProperty("佐证材料")
    @Size(max = 200)
    private String supportMaterial;

    @ApiModelProperty("丽水 区域code")
    private String regionCode;
}
