package com.ningdatech.pmapi.performance.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.alibaba.excel.annotation.ExcelProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 绩效打分详情导出实体
 *
 * @author CMM
 * @since 2023/08/16 10:31
 */
@Data
public class ReAppraisalScoreExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("一级指标名称")
    @ExcelProperty(value = "一级指标",index = 0)
    private String firstIndexName;

    @ApiModelProperty("二级指标名称")
    @ExcelProperty(value = "二级指标",index = 1)
    private String secondIndexName;

    @ApiModelProperty("三级指标名称")
    @ExcelProperty(value = "三级指标",index = 2)
    private String thirdIndexName;

    @ApiModelProperty("指标分值 3级指标才有")
    @ExcelProperty(value = "指标分值",index = 3)
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则 3级指标才有")
    @ExcelProperty(value = "指标细则",index = 4)
    private String indexDetail;

    @ApiModelProperty("评分细则")
    @ExcelProperty(value = "评分细则",index = 5)
    private String gradeDetail;

    @ApiModelProperty("佐证材料描述")
    @ExcelProperty(value = "佐证材料",index = 6)
    private String supportMaterial;

    @ApiModelProperty("自评依据")
    @ExcelProperty(value = "自评依据",index = 7)
    private String selfAppraisalBasis;

    @ApiModelProperty("自评得分")
    @ExcelProperty(value = "自评得分",index = 8)
    private BigDecimal selfAppraisalScore;

    @ApiModelProperty("复评依据")
    @ExcelProperty(value = "复评依据",index = 9)
    private String refAppraisalBasis;

    @ApiModelProperty("复评得分")
    @ExcelProperty(value = "复评得分",index = 10)
    private BigDecimal reAppraisalScore;

    @ApiModelProperty("是否为附加指标")
    @ExcelProperty(value = "是否附加指标",index = 11)
    private String isAdditional;
}
