package com.ningdatech.pmapi.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Classname PerformanceAppraisalProjectGroup
 * @Description 绩效评价和项目分组
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@TableName("nd_performance_appraisal_project_group")
@ApiModel(value = "绩效评价项目分组", description = "绩效评价项目分组")
public class PerformanceAppraisalProjectGroup implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("计划id")
    private Long appraisalId;

    @ApiModelProperty("分组内的所有项目code")
    private String projectCodes;

    @ApiModelProperty("复评人员")
    private String reAppraisalUsers;

    @ApiModelProperty("核查人员")
    private String verificationUsers;

    @ApiModelProperty("核查组长")
    private String verifyLeader;
}
