package com.ningdatech.pmapi.performance.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname PerformanceIndicatorProjectTemplateDetail
 * @Description 绩效评价考核项目指标模板
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@TableName("nd_performance_indicator_project_template_detail")
@ApiModel(value = "绩效评价考核项目指标模板详情", description = "绩效评价考核项目指标模板详情")
public class PerformanceIndicatorProjectTemplateDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;


    @ApiModelProperty("关联模板ID")
    private Long templateId;

    @ApiModelProperty("指标ID")
    private Long indexId;

    @ApiModelProperty("指标名称")
    private String name;

    @ApiModelProperty("指标类型 1一级指标 2二级指标 3三级指标")
    private Integer type;

    @ApiModelProperty("父级指标id")
    private Long parentId;

    @ApiModelProperty("指标分值 3级指标才有")
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则 3级指标才有")
    private String indexDetail;

    @ApiModelProperty("评分细则")
    private String gradeDetail;

    @ApiModelProperty("佐证材料描述")
    private String supportMaterial;

    @ApiModelProperty("是否为附加指标")
    private Boolean isAdditional;
}
