package com.ningdatech.pmapi.performance.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.ningdatech.pmapi.performance.model.entity.PerformanceAppraisalAppScoreInfo;
import com.ningdatech.pmapi.performance.model.entity.PerformanceAppraisalScoreInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 应用评价指标
 * @return
 * @author CMM
 * @since 2023/08/08 8:55
 */
@Data
@ApiModel(value = "应用评价指标模版详情", description = "应用评价指标模版详情")
public class AppAppraisalIndexDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("申报/建设单位")
    private String buildOrgName;

    @ApiModelProperty("应用状态")
    private String applicationStatus;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("通用指标详情")
    private List<AppIndexDetailVO> commonIndexDetails;

    @ApiModelProperty("辅助指标详情")
    private List<AppIndexDetailVO> auxIndexDetails;

    @ApiModelProperty("业务指标详情")
    private List<AppBusinessIndexDetailVO> businessIndexDetails;

}
