package com.ningdatech.pmapi.performance.model.vo;

import com.ningdatech.pmapi.performance.model.dto.ProjectTemplateDetailDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname PerformanceIndicatorProjectTemplateVO
 * @Description 绩效评价考核项目指标模板
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价项目指标模板", description = "绩效评价项目指标模板")
public class ProjectIndexTemplateVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("模板名称")
    private String name;

    @ApiModelProperty("丽水 区域code")
    private String regionCode;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("项目年度")
    private Integer projectYear;

    @ApiModelProperty("建设类型 1 软件、2 硬件、3 软硬件")
    private Integer constructType;

    @ApiModelProperty("项目资金范围 1.500万元以下、2.500-2000万元，3.2000万元及以上")
    private Integer amountRange;

    @ApiModelProperty("状态 0关闭 1开启")
    private Integer status;

    @ApiModelProperty("项目标签信息")
    private List<Long> projectTagIds;

    @ApiModelProperty("绩效指标详情")
    private List<ProjectTemplateDetailVO> templateDetails;

    @ApiModelProperty("附加绩效指标详情")
    private List<ProjectTemplateDetailVO> additionalIndexDetails;


}
