package com.ningdatech.pmapi.projectdeclared.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Classname DeclaredProjectParamDto
 * @Description
 * @Date 2023/2/1 14:52
 * @Author PoffyZhang
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeclaredProjectListParamDTO extends PagePo {
    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目类型 1建设 2运维")
    private Integer projectType;

    @ApiModelProperty("项目阶段")
    private Integer projectStage;

    @ApiModelProperty("项目状态")
    private Integer projectStatus;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("开始时间")
    private String startTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("结束时间")
    private String endTime;
}
