package com.ningdatech.pmapi.projectdeclared.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @Classname OperationDTO
 * @Description
 * @Date 2023/5/29 10:00
 * @Author PoffyZhang
 */
@ApiModel(value = "实施对象DTO", description = "实施对象DTO")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OperationDTO {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("项目开工时间")
    @NotNull(message = "项目开工时间不能为空")
    private LocalDateTime projectStartDate;

    @ApiModelProperty("初验时间")
    @NotNull(message = "初验时间不能为空")
    private LocalDateTime initialInspectionDate;

    @ApiModelProperty("终验时间")
    @NotNull(message = "终验时间不能为空")
    private LocalDateTime finalInspectionDate;

    @ApiModelProperty("开始实施时间")
    @NotNull(message = "开始实施时间不能为空")
    private LocalDateTime startTrialOperationDate;
}
