package com.ningdatech.pmapi.projectdeclared.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname PreInsSaveDTO
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "PreInsSaveDTO", description = "")
public class PreInsSaveDTO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("初验材料")
    @NotBlank(message = "请提交初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("初验验收人员")
    private List<PreInsAcceptancePersonSaveDTO> acceptancePersons;
}
