package com.ningdatech.pmapi.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.joda.time.LocalDate;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname Contract
 * @Description
 * @Date 2023/5/30 15:35
 * @Author PoffyZhang
 */
@Data
@TableName("nd_contract")
@ApiModel(value = "合同对象", description = "")
public class Contract {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改人人")
    private String updateBy;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("合同名称")
    private String name;

    @ApiModelProperty("合同总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("供应商开户行")
    private String supplierBank;

    @ApiModelProperty("供应商开户行帐号")
    private String supplierAccount;

    @ApiModelProperty("质保期 年")
    private Integer warrantyPeriod;

    @ApiModelProperty("质保金")
    private BigDecimal retentionMoney;

    @ApiModelProperty("合同完成时间")
    private LocalDateTime contractTime;

    @ApiModelProperty("交货日期")
    private LocalDateTime deliveryTime;

    @ApiModelProperty("附件")
    private String attachment;

    @ApiModelProperty("项目ID")
    private Long projectId;
}
