package com.ningdatech.pmapi.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * irs项目
 * </p>
 *
 * @author zpf
 * @since 2023-03-06
 */
@TableName("irs_application")
@ApiModel(value = "irs_application对象", description = "irs项目对象")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IrsApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("应用名称")
    private String applicationName;

    @ApiModelProperty("应用编码")
    private String applicationCode;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
}
