package com.ningdatech.pmapi.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.time.LocalDateTime;

/**
 * @Classname Operation
 * @Description
 * @Date 2023/5/29 10:00
 * @Author PoffyZhang
 */
@TableName("nd_project_operation")
@ApiModel(value = "实施对象", description = "实施对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Operation {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人 工号")
    private String createBy;

    @ApiModelProperty("修改人 工号")
    private String updateBy;

    @ApiModelProperty("项目开工时间")
    private LocalDateTime projectStartDate;

    @ApiModelProperty("初验时间")
    private LocalDateTime initialInspectionDate;

    @ApiModelProperty("终验时间")
    private LocalDateTime finalInspectionDate;

    @ApiModelProperty("开始实施时间")
    private LocalDateTime startTrialOperationDate;
}
