package com.ningdatech.pmapi.projectlib.handle;

import com.wflow.workflow.bean.vo.ProcessDetailVO;

import java.util.List;

/**
 * 流程业务抽象处理类
 *
 * @author CMM
 * @since 2023/02/24 14:22
 */

public abstract class AbstractProcessBusinessHandle {
    /**
     * 构造，子类必须实现
     */
    public AbstractProcessBusinessHandle(){}

    /**
     * 抽象的，所有具体处理者应该实现的处理逻辑
     * @param projectId
     * @param processSchedule
     * @return void
     * @author CMM
     * @since 2023/02/27 9:01
     */
    abstract void businessHandle(Long projectId, List<ProcessDetailVO> processSchedule);

    abstract Integer getOrder();

    abstract void setOrder(Integer order);
}
