package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 续建项目资金申请表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@TableName("nd_project_renewal_fund_declaration")
@ApiModel(value = "NdProjectRenewalFundDeclaration对象", description = "续建项目资金申请表")
@Data
public class ProjectRenewalFundDeclaration implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("关联项目ID")
    private Long projectId;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("年度支付金额")
    private BigDecimal annualPaymentAmount;

    @ApiModelProperty("自有资金")
    private BigDecimal haveAmount;

    @ApiModelProperty("政府投资 本级财务金额")
    private BigDecimal govOwnFinanceAmount;

    @ApiModelProperty("政府投资 上级财务金额")
    private BigDecimal govSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款金额")
    private BigDecimal bankLendingAmount;

    @ApiModelProperty("其它金额")
    private BigDecimal otherAmount;

    @ApiModelProperty("审核状态 待审核PENGING 审核通过PASS 审核不通过NO_PASS")
    private String approvalStatus;

    @ApiModelProperty("单位code")
    private String orgCode;

    @ApiModelProperty("区域code")
    private String regionCode;

    @ApiModelProperty("是否删除 false未删 true已删")
    private Boolean deleted;

    @ApiModelProperty("审核意见")
    private String auditOpinion;


}
