package com.ningdatech.pmapi.projectlib.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 续建项目审核请求实体
 *
 * @author CMM
 * @since 2023/02/21 13:43
 */
@Data
@ApiModel("续建项目审核请求参数")
public class ProjectRenewalAuditReq {

    @NotNull
    @ApiModelProperty("续建项目ID")
    private Long projectRenewalId;

    @NotNull(message = "审核结果不能为空")
    @ApiModelProperty("审核结果")
    private Boolean result;

    @ApiModelProperty("审核意见")
    @Length(max = 200)
    private String auditOpinion;
}
