package com.ningdatech.pmapi.projectlib.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 续建项目资金申请表
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-15
 */
@ApiModel(value = "NdProjectRenewalFundDeclarationVO", description = "续建项目资金申请表")
@Data
public class ProjectRenewalFundDeclarationVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("项目年份")
    private Integer projectYear;

    @ApiModelProperty("年度支付金额")
    private BigDecimal annualPaymentAmount;

    @ApiModelProperty("自有资金")
    private BigDecimal haveAmount;

    @ApiModelProperty("政府投资 本级财务金额")
    private BigDecimal govOwnFinanceAmount;

    @ApiModelProperty("政府投资 上级财务金额")
    private BigDecimal govSuperiorFinanceAmount;

    @ApiModelProperty("银行贷款金额")
    private BigDecimal bankLendingAmount;

    @ApiModelProperty("其它金额")
    private BigDecimal otherAmount;

    @ApiModelProperty("审核状态 待审核PENGING 审核通过PASS 审核不通过NO_PASS")
    private String approvalStatus;

    @ApiModelProperty("是否删除 false未删 true已删")
    private Boolean deleted;

    @ApiModelProperty("单位code")
    private String orgCode;

    @ApiModelProperty("区域code")
    private String regionCode;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("立项批复资金")
    private BigDecimal approvalAmount;

    @ApiModelProperty("关联项目ID")
    private Long projectId;

    @ApiModelProperty("关联项目名字")
    private String projectName;

    @ApiModelProperty("建设单位名称")
    private String buildOrgName;

    @ApiModelProperty("项目类型 1建设 2运维")
    private Integer projectType;

    @ApiModelProperty("审核意见")
    private String auditOpinion;

    @ApiModelProperty("年度投资金额详情")
    private List<AnnualAmountVO> annualAccumulateAmountList;
}
