package com.ningdatech.pmapi.provincial.model.res;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Classname ProvincialApplicationDTO
 * @Description
 * @Date 2023/3/2 10:06
 * @Author PoffyZhang
 */
@Data
@Builder
@ApiModel(value = "ProvincialApplicationRes", description = "")
@NoArgsConstructor
@AllArgsConstructor
public class ProvincialApplicationRes implements Serializable {


    //云 信息
    private List<Cloud> clouds;
    //是否初次建设  1是  2不是
    private Integer isFirst;
    //应用名称
    private String applicationName;
    //关联 关联的IRS应用code
    private String applicationCode;
    //关联的IRS应用name
    private String relatedExistsApplication;
    //1: '办公类系统',2: '业务应用类系统',3: '门户网站',4: '宣传微博/微信公众号',5: '硬件类系统',6: '工具类系统',99: '其他'
    private Integer applicationType;
    //建设层级 1:国家 2:省级 3:市级 4:县（市、区）
    private Integer buildLevel;
    //是否统建 0:否 1:是
    private Integer isUniteBuild;
    //统建类型 1:全省统建 2:全市统建
    private Integer unionBuildKind;
    //应用简介
    private String applicationSummary;
    //应用备注
    private String applicationRemark;
    //应用总投资测算明细
    private String applicationEstimateFile;
    //是否数改系统 0:否 1:是
    private Integer isFiveDomain;
    //1: '党政机关整体智治',2: '数字政府',3: '数字经济',4: '数字社会',7: '数字文化',5: '数字法治',6: '一体化智能化公共数据平台', 8: '基层智治'   多个用英文,分隔
    private String fiveDomain;
    //业务领域
    private String bizDomain;
    //否涉及业务协同 0:否 1:是
    private Integer isBizCooperate;
    //协同单位111111
    private String cooperativeUnit;
    //用户范围  0: '机关事业单位人员','0-1': '跨部门跨系统','0-2': '系统内地方各级','0-3': '本部门本级','0-4': '处室内部','0-6': '主管处室内部','0-5': '其他',1: '企业', 2: '社会公众',3: '其他'   多个用英文,分隔
    private String userRange;
    //是否使用政务云资源  1使用
    private Integer useGovCloud;
    //是否符合国家信息技术应用创新相关规范 0:否 1:是
    private Integer nationalITSpec;
    //网络环境 1:政务内网 2:政务外网 3:互联网 4:业务专网 5:单机
    private String netEnv;
    //等保级别 1:一级 2:二级 3:三级 4:四级 5:五级
    private Integer secrecyGrade;
    //密码测评级别 1:一级 2:二级 3:三级 4:四级 5:五级
    private Integer passwordGrade;
    //是否是S2    0:否 1:是
    private Integer isS2;
    //一本账应用名称
    private String accountAppName;
    //领域”大脑”一本帐名称
    private String brainAccountAppName;
    //是否使用公共数据
    private Integer useCommonData;
    //使用的公共数据名称
    private String dataName;
    //使用公共组件的名称
    private String commonComponents;
    //是否使用公共组件
    private Integer useCommonComponent;
    //是否产生公共组件
    private Integer isProduceCommonComponent;
    //产生的组件名称
    private String produceCommonComponent;
    //发布端     '浙里办','浙政钉','数字化改革门户','支付宝','微信','网页','PC客户端','APP端'
    private String publishSide;

    @Builder
    @JsonIgnoreProperties(value = { "handler"})
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Cloud implements Serializable {
        //云资源台数 11
        private Integer cloudNums;
        //云资源类型 云服务器（ECS）
        private String cloudType;
        //云资源规格 1核8G
        private String cloudBasicSpec;
        //云资源描述
        private String cloudUseDescription;
    }
}
