package com.ningdatech.pmapi.safety.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 供应商安全资质
 * </p>
 *
 * @author ZPF
 * @since 2023-08-02
 */
@Data
@TableName("nd_supplier_safety_qualification")
@ApiModel(value = "SupplierSafetyQualification对象", description = "供应商安全资质")
public class SupplierSafetyQualification implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("安全资质")
    private String safetyQualification;

    @ApiModelProperty("安全协议")
    private String safetyProtocol;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;
}
