package com.ningdatech.pmapi.sys.model.dto;

import com.baomidou.mybatisplus.core.conditions.update.Update;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 实体类
 * 角色
 * </p>
 *
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "RoleUpdateDTO", description = "角色")
public class RoleUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @NotNull(message = "id不能为空", groups = Update.class)
    private Long id;

    @ApiModelProperty(value = "名称")
    @Size(max = 50, message = "名称长度不能超过30")
    private String name;

    @ApiModelProperty(value = "描述")
    @Size(max = 200, message = "描述长度不能超过200")
    private String describe;

    @ApiModelProperty(value = "菜单id")
    private List<Long> menuIds;

    @ApiModelProperty(value = "管理角色ID")
    private String manageRoleIds;

    @ApiModelProperty("菜单数据权限")
    private List<MenuDataScopeDTO> menuDataScopeList;

}
