package com.ningdatech.pmapi.sys.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 实体类
 * 角色分配
 * 预警触发通知记录
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@TableName("wflow_early_warning_records")
@ApiModel(value = "WflowEarlyWarningRecords", description = "预警触发通知记录")
public class WflowEarlyWarningRecords implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 区域CODE
     */
    @ApiModelProperty(value = "区域CODE")
    private String areaCode;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String projectName;


    /**
     * 流程类型
     */
    @ApiModelProperty(value = "流程类型")
    private Integer instType;

    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    private LocalDateTime instStart;

    /**
     * 预警时间
     */
    @ApiModelProperty(value = "预警时间")
    private LocalDateTime warningTime;

    /**
     * 通知人名
     */
    @ApiModelProperty(value = "通知人名")
    private String warningUsername;

    /**
     * 预警员工号
     */
    @ApiModelProperty(value = "预警员工号")
    private String warningEmployeecode;

    /**
     * 通知方式
     */
    @ApiModelProperty(value = "通知方式 0浙政钉 1短信 逗号分隔")
    private String noticeMethod;

    /**
     * 通知内容
     */
    @ApiModelProperty(value = "通知内容")
    private String noticeContent;

    /**
     * 申报单位
     */
    @ApiModelProperty(value = "申报单位CODE")
    private String buildOrgCode;
    @ApiModelProperty(value = "申报单位")
    private String buildOrgName;

    /**
     * 规则
     */
    @ApiModelProperty(value = "规则类型 1.流程预警规则 2.填报预警规则 3.实施监督")
    private Integer ruleType;


    private LocalDateTime createOn;

}
