package com.ningdatech.pmapi.sys.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * MsgUpdatePo
 * </p>
 *
 * @author WendyYang
 * @since 21:35 2022/7/21
 */
@Data
@ApiModel("消息新增实体")
public class NoticeSaveReq {

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("通知标题")
    @NotBlank(message = "通知标题不能为空")
    private String title;

    @ApiModelProperty("通知类型")
    @NotNull(message = "通知类型不能为空")
    private Integer type;

    @ApiModelProperty("通知内容")
    @NotBlank(message = "通知内容不能为空")
    private String content;

    @ApiModelProperty("附件ID编码")
    private String attachment;

    @ApiModelProperty("是否启用")
    @NotNull(message = "是否启用不能为空")
    private Boolean enabled;

}
