package com.ningdatech.pmapi.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.sys.model.entity.Menu;
import com.ningdatech.pmapi.sys.model.dto.MenuSaveDTO;
import com.ningdatech.pmapi.sys.model.dto.MenuUpdateDTO;

import java.util.List;

/**
 * <p>
 * 业务接口
 * 菜单
 * </p>
 *
 * @author WendyYang
 * @since 2022-09-30
 */
public interface IMenuService extends IService<Menu> {

    /**
     * 根据ID删除
     *
     * @param ids id
     * @return 是否成功
     */
    boolean removeByIdWithCache(List<Long> ids);

    /**
     * 修改菜单
     *
     * @param menu   菜单
     * @param userId /
     * @return 是否成功
     */
    boolean update(MenuUpdateDTO menu, Long userId);

    /**
     * 保存菜单
     *
     * @param menu   菜单
     * @param userId /
     * @return 是否成功
     */
    boolean save(MenuSaveDTO menu, Long userId);
}
