package com.ningdatech.pmapi.user.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-01
 */
@TableName("nd_user_info")
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "NdUserInfo对象")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private String username;

    private String mobile;

    private String realName;

    private Long accountId;

    private String available;

    private String employeeCode;

    private String regionCode;

    private String empPosUnitCode;
    private String empPosUnitName;

    @ApiModelProperty("头像")
    private String avatar;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
