package com.ningdatech.pmapi.wps.manage;

import cn.hutool.core.util.CharsetUtil;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.OSSObject;
import com.aliyun.oss.model.ObjectMetadata;
import com.ningdatech.file.properties.FileServerProperties;
import com.ningdatech.file.service.FileService;
import com.ningdatech.pmapi.common.constant.BizConst;
import com.ningdatech.pmapi.wps.contants.WpsContant;
import com.suwell.ofd.custom.agent.AtomAgent;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.nio.file.Path;
import java.util.ArrayList;
import java.util.List;

/**
 * @Classname WpsConvertManage
 * @Description
 * @Date 2023/8/14 13:42
 * @Author PoffyZhang
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class WpsConvertManage {

    @Resource
    private FileService fileService;

    private final FileServerProperties fileServerProperties;

    @Value("${spring.profiles.active}")
    private String active;

//	HTTPAgent ha = new HTTPAgent("http://127.0.0.1:8090");
    //2、定义方法实现 多个文件合并转为1个pdf文件
    public String offs2Pdf() {
        AtomAgent ha = new AtomAgent("http://10.53.157.47");

        try {

            //2-1、传参文件对象转换输出PDF文件
            //1)、定义集合，存储待转换的原文件
            List<File> fileList =new ArrayList<File>();
            //2)、定义转换后的pdf文件输出流
            OutputStream out = null;
            //3)、添加原文件到集合
            fileList.add(new File("/temp/111.xlsx"));
//			fileList.add(new File("D:/cs.doc"));
//			fileList.add(new File("D:/a.pdf"));
//			fileList.add(new File("D:\\555.ofd"));
            //4)、赋值转换后的pdf文件输出流
            out=new FileOutputStream(new File("/temp/offices2_pdf.pdf"));
            //5)、调用方法，执行将多个文件转为pdf文件
            ha.OFDToPDF(fileList, out);

            //2-2、传参文件流转换输出PDF文件（与2-1二选一即可）
            //1)、定义集合，存储待转换的原文件（支持传文件流）
//            Param[] params = new Param[] {
//                    new Param(PackEntry.wrap(new FileInputStream("D:\\temp\\111.ofd")), "ofd"),
//					new Param(PackEntry.wrap(new FileInputStream("D:\\2.ofd")), "ofd"),
//				    new Param(PackEntry.wrap(new FileInputStream("D:\\T3.txt")), "txt")
//            };
            //2)、赋值转换后的pdf文件输出流
//            out=new FileOutputStream(new File("D:/convert/offices_pdf.pdf"));
            //3)、调用方法，执行将多个文件转为pdf文件
//            ha.OFDToPDF(params,out);
            return "转换成功";
        } catch (Exception e) {
            log.error(e.getMessage());
        }  finally {
            try {
                //2-6、关闭资源
                ha.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return "转换失败";
    }

    public void downloadToPdfStream(Long fileId, HttpServletResponse response) {
        com.ningdatech.file.entity.File file = fileService.getById(fileId);
        downloadAndToPdf(file, response);
    }

    public byte[] downloadToPdfStream(Long fileId) {
        com.ningdatech.file.entity.File file = fileService.getById(fileId);
        return downloadAndToPdf(file);
    }

    private void downloadAndToPdf(com.ningdatech.file.entity.File file, HttpServletResponse response) {
        OSS oss = new OSSClientBuilder().build(fileServerProperties.getAli().getEndpoint(), fileServerProperties.getAli().getAccessKeyId(), fileServerProperties.getAli().getAccessKeySecret());
        AtomAgent ha = new AtomAgent(WpsContant.WPS_CONVERT_URL_ONLINE);
        try (OSSObject ossObject = oss.getObject(file.getBucket(), file.getPath());
             InputStream stream = ossObject.getObjectContent();
            ServletOutputStream outputStream = response.getOutputStream()) {
            String fileName = null;
            byte[] bytes = new byte[4096];
            int read;
            //测试环境 转不了PDF 请求不了 WPS转换服务器
            if(BizConst.DEV.equals(active)){
                ObjectMetadata metadata = ossObject.getObjectMetadata();
                response.setContentType(metadata.getContentType());
                fileName = URLEncoder.encode(file.getOriginalFileName(), CharsetUtil.UTF_8);
                response.setHeader("Content-Disposition", "attachment;filename*=utf-8''" + fileName);
                while ((read = stream.read(bytes)) != -1) {
                    outputStream.write(bytes, 0, read);
                }
            }else if(BizConst.PRE.equals(active) ||
                    BizConst.PROD.equals(active)){
                String filePath = WpsContant.FIX_FILE_PATH + file.getOriginalFileName();
                convert(stream,filePath);
                //转换PDF
                List<File> fileList =new ArrayList<File>();
                //2)、定义转换后的pdf文件输出流
                OutputStream out = null;
                //3)、添加原文件到集合
                fileList.add(new File(filePath));
                //4)、赋值转换后的pdf文件输出流
                File pdfFile = new File(WpsContant.PDF_PATH);
                out = new FileOutputStream(pdfFile);
                //5)、调用方法，执行将多个文件转为pdf文件
                ha.OFDToPDF(fileList, out);
                FileInputStream fileInputStream = new FileInputStream(pdfFile);
                response.setContentType(WpsContant.PDF_CONTENT_TYPE);
                fileName = URLEncoder.encode(WpsContant.PDF_NAME, CharsetUtil.UTF_8);
                response.setHeader("Content-Disposition", "attachment;filename*=utf-8''" + fileName);
                while ((read = fileInputStream.read(bytes)) != -1) {
                    outputStream.write(bytes, 0, read);
                }
                for(File f : fileList){
                    //用完就删
                    f.deleteOnExit();
                }
            }
            outputStream.flush();
        }catch (Exception e){
            log.error(e.getMessage());
        }finally {
            oss.shutdown();
            try {
                ha.close();
            } catch (IOException e) {
                log.error(e.getMessage());
            }
        }
    }

    private byte[] downloadAndToPdf(com.ningdatech.file.entity.File file) {
        OSS oss = new OSSClientBuilder().build(fileServerProperties.getAli().getEndpoint(), fileServerProperties.getAli().getAccessKeyId(), fileServerProperties.getAli().getAccessKeySecret());
        AtomAgent ha = new AtomAgent(WpsContant.WPS_CONVERT_URL_ONLINE);
        try (OSSObject ossObject = oss.getObject(file.getBucket(), file.getPath());
             InputStream stream = ossObject.getObjectContent();) {
            String fileName = null;
            byte[] bytes = new byte[4096];
            int read;
            //测试环境 转不了PDF 请求不了 WPS转换服务器
            if(BizConst.DEV.equals(active)){
                byte[] byt = new byte[stream.available()];
                stream.read(byt);
                return byt;
            }else if(BizConst.PRE.equals(active) ||
                    BizConst.PROD.equals(active)){
                String filePath = WpsContant.FIX_FILE_PATH + file.getOriginalFileName();
                convert(stream,filePath);
                //转换PDF
                List<File> fileList =new ArrayList<File>();
                //2)、定义转换后的pdf文件输出流
                OutputStream out = null;
                //3)、添加原文件到集合
                fileList.add(new File(filePath));
                //4)、赋值转换后的pdf文件输出流
                File pdfFile = new File(WpsContant.PDF_PATH);
                out = new FileOutputStream(pdfFile);
                //5)、调用方法，执行将多个文件转为pdf文件
                ha.OFDToPDF(fileList, out);
                FileInputStream fileInputStream = new FileInputStream(pdfFile);
                fileName = URLEncoder.encode(WpsContant.PDF_NAME, CharsetUtil.UTF_8);
                for(File f : fileList){
                    //用完就删
                    f.deleteOnExit();
                }
                byte[] byt = new byte[fileInputStream.available()];
                fileInputStream.read(byt);
                return byt;
            }
        }catch (Exception e){
            log.error(e.getMessage());
        }finally {
            oss.shutdown();
            try {
                ha.close();
            } catch (IOException e) {
                log.error(e.getMessage());
            }
        }
        return null;
    }

    public static void convert(InputStream inputStream, String filePath) {
        try {
            File file = new File(filePath);
            FileOutputStream outputStream = new FileOutputStream(file);

            int bytesRead;
            byte[] buffer = new byte[1024];

            while ((bytesRead = inputStream.read(buffer)) != -1) {
                outputStream.write(buffer, 0, bytesRead);
            }

            outputStream.close();
            inputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
