package com.ningdatech.pmapi.collection;

import com.alibaba.fastjson.JSON;
import com.ningdatech.pmapi.AppTests;
import com.ningdatech.pmapi.common.constant.BizConst;
import com.ningdatech.pmapi.common.constant.RegionConst;
import com.ningdatech.pmapi.gov.contants.BizProjectContant;
import com.ningdatech.pmapi.gov.manage.GovProjectCollectionManage;
import com.ningdatech.pmapi.gov.model.dto.GovBizProjectApplyDTO;
import com.ningdatech.pmapi.gov.model.dto.GovBizProjectBaseinfoDTO;
import com.ningdatech.pmapi.gov.model.dto.GovBizProjectSaveDTO;
import com.ningdatech.pmapi.projectdeclared.utils.GenerateProjectCodeUtil;
import com.ningdatech.pmapi.user.security.auth.model.UserInfoDetails;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import java.io.*;
import java.time.LocalDateTime;
import java.util.*;

/**
 * @Classname SaveCollectionTest
 * @Description
 * @Date 2023/9/4 17:43
 * @Author PoffyZhang
 */
public class SaveCollectionTest extends AppTests {//

    @Autowired
    private GovProjectCollectionManage manage;

    @Autowired
    private GenerateProjectCodeUtil projectCodeUtil;

    @Test
    public void importData() throws Exception {
        Workbook wb;
        File f = new File("C:\\Users\\PoffyZhang\\Desktop\\市本级组织code已核对.xlsx");
        wb = readExcel(new FileInputStream(f),f.getName());
        Row row = null;
        if(wb != null) {
            //获取第一个sheet
            Sheet sheet = wb.getSheetAt(0);
            //获取最大行数
            int rownum = sheet.getPhysicalNumberOfRows();

            //获取第一行
            row = sheet.getRow(0);
            //获取最大列数
            for (int i = 1; i < rownum; i++) {
                row = sheet.getRow(i);
                if(Objects.isNull(row) || Objects.isNull(row.getCell(0))){
                    break;
                }
                GovBizProjectSaveDTO saveDTO = new GovBizProjectSaveDTO();

                GovBizProjectBaseinfoDTO baseinfoDTO = new GovBizProjectBaseinfoDTO();
                //
                String projName = Objects.nonNull(row.getCell(2)) ? row.getCell(2).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProjName(projName);
                baseinfoDTO.setBaseAreaCode(RegionConst.RC_LS + BizConst.NINE_AREA_CODE_LAST);
                baseinfoDTO.setBaseAreaName("丽水市");
                baseinfoDTO.setAreaCode(RegionConst.RC_LS);
                baseinfoDTO.setIsEffective(BizProjectContant.ProjectCollection.IS_EFFECTIVE);
                baseinfoDTO.setTongTime(LocalDateTime.now());
                baseinfoDTO.setBizTime(LocalDateTime.now());
                baseinfoDTO.setOp("insert");
                String principal = Objects.nonNull(row.getCell(5)) ? row.getCell(5).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProjPrincipal(principal);
                String contacts = Objects.nonNull(row.getCell(6)) ? row.getCell(6).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProjContacts(contacts);
                String contactsCall = Objects.nonNull(row.getCell(7)) ? row.getCell(7).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProjContactsCall(contactsCall);
                String baseProvManDeprt = Objects.nonNull(row.getCell(8)) ? row.getCell(8).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProvManDeprt(baseProvManDeprt);
                String baseProvManDeprtDing = Objects.nonNull(row.getCell(9)) ? row.getCell(9).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProvManDeprtDing(baseProvManDeprtDing);
                String baseManDeprt = Objects.nonNull(row.getCell(10)) ? row.getCell(10).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseManDeprt(baseManDeprt);
                String baseManDeprtDing = Objects.nonNull(row.getCell(11)) ? row.getCell(11).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseManDeprtDing(baseManDeprtDing);
                String baseProjType = Objects.nonNull(row.getCell(15)) ? row.getCell(15).toString() : StringUtils.EMPTY;
                if("0".equals(baseProjType)){
                    baseProjType = "01";
                }else if("1".equals(baseProjType)){
                    baseProjType = "04";
                }
                baseinfoDTO.setBaseProjType(baseProjType);
                String baseProjSetProg = Objects.nonNull(row.getCell(17)) ? row.getCell(17).toString() : StringUtils.EMPTY;
                baseinfoDTO.setBaseProjSetProg(baseProjSetProg);

                saveDTO.setBaseinfo(baseinfoDTO);

                GovBizProjectApplyDTO applyDTO = new GovBizProjectApplyDTO();
                String baseProjSetYear = Objects.nonNull(row.getCell(22)) ? row.getCell(22).toString() : StringUtils.EMPTY;
                applyDTO.setBaseProjSetYear(baseProjSetYear);
                String baseProjIntro = Objects.nonNull(row.getCell(23)) ? row.getCell(23).toString() : StringUtils.EMPTY;
                applyDTO.setBaseProjIntro(baseProjIntro);
                saveDTO.setApply(applyDTO);
                //生产编号
                String projId = projectCodeUtil.generateProjectCode(saveDTO);
                saveDTO.setBaseProjId(projId);
                saveDTO.getBaseinfo().setBaseProjId(projId);
                saveDTO.getApply().setBaseProjId(projId);
                UserInfoDetails user = new UserInfoDetails();
                user.setRegionCode(RegionConst.RC_LS);
                user.setUsername("系统导入");
                String save = "";
                try{
                    save = manage.save(saveDTO, user);
                }catch (Exception e){
                    e.printStackTrace();
                }
                System.out.println(JSON.toJSONString(save));
            }
        }

        System.out.println("导入完成");
    }

    //这个下面是单独函数
    public static Workbook readExcel(InputStream is, String extString){
        Workbook wb = null;
        extString = extString.substring(extString.lastIndexOf("."));
        try {
            if(".xls".equals(extString)){
                return wb = new HSSFWorkbook(is);
            }else if(".xlsx".equals(extString)){
                return wb = new XSSFWorkbook(is);
            }else {
                return wb = null;
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return wb;
    }
}
