package com.ningdatech.pmapi.file;

import com.ningdatech.pmapi.common.util.CommonInputStreamResource;
import org.junit.Test;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileInputStream;

import org.apache.http.entity.ContentType;
import java.io.*;

/**
 * @Classname ProvinceOssTest
 * @Description
 * @Date 2023/9/5 14:21
 * @Author PoffyZhang
 */
public class ProvinceOssTest {

    @Test
    public void test() throws FileNotFoundException {
        File f = new File("C:\\Users\\PoffyZhang\\Desktop\\市本级组织code已核对.xlsx");
        String url = "https://pms.zj.gov.cn/prometheus-zhejiang_file_service/api/v1/file/uploadFile";
        MultiValueMap<String,Object> params = new LinkedMultiValueMap<>();
        byte[] fileBytes = getBytesByFile(f);
        ByteArrayInputStream inputStream = new ByteArrayInputStream(fileBytes);
        CommonInputStreamResource commonInputStreamResource = new CommonInputStreamResource(inputStream,fileBytes.length,f.getName());
        params.add("file",commonInputStreamResource);
        RestTemplate restTemplate = new RestTemplate();
        HttpHeaders headers = new HttpHeaders();
        MediaType type = MediaType.parseMediaType("multipart/form-data");
        headers.setContentType(type);
        HttpEntity<MultiValueMap> formEntity = new HttpEntity(params, headers);
        ResponseEntity<String> res = restTemplate.postForEntity(url, formEntity, String.class);
        System.out.println(res.getBody());
    }

    public static MultipartFile getMultipartFile(File file) {
        try{
            FileInputStream fileInputStream = new FileInputStream(file);
            MultipartFile multipartFile = new MockMultipartFile(file.getName(), file.getName(),ContentType.APPLICATION_OCTET_STREAM.toString(), fileInputStream);
            return multipartFile;
        }catch (Exception e){
            e.printStackTrace();
        }
        return null;
    }

    //将文件转换成Byte数组
    public static byte[] getBytesByFile(File file) {
        try {
            FileInputStream fis = new FileInputStream(file);
            ByteArrayOutputStream bos = new ByteArrayOutputStream(1000);
            byte[] b = new byte[1000];
            int n;
            while ((n = fis.read(b)) != -1) {
                bos.write(b, 0, n);
            }
            fis.close();
            byte[] data = bos.toByteArray();
            bos.close();
            return data;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
