package com.ningdatech.syndataapi;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author CMM
 * @since 2023/08/22 18:14
 */
@SpringBootApplication
@EnableAsync
@MapperScan(SynDataTaskApp.MAPPER_PACKAGES)
@EnableScheduling
@EnableTransactionManagement
@EnableAspectJAutoProxy(exposeProxy = true)
@ComponentScan(basePackages = {"com.ningdatech.syndataapi.**"})
public class SynDataTaskApp {

    protected static final String MAPPER_PACKAGES = "com.ningdatech.syndataapi.**.mapper";

    public static void main(String[] args) {
        SpringApplication.run(SynDataTaskApp.class, args);
    }
}
