package com.ningdatech.syndataapi.scheduler.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 项目申报信息
 * </p>
 *
 * @author CMM
 * @since 2023-08-22
 */
@Data
@TableName("szls_da_biz_331100_project_apply")
@ApiModel(value = "SzlsDaBiz331100ProjectApply对象", description = "项目申报信息")
public class ProjectApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目代码")
    private String baseProjId;

    @ApiModelProperty("项目名称")
    private String baseProjName;

    @ApiModelProperty("发改项目代码")
    private String baseDevelopCode;

    @ApiModelProperty("财政项目代码")
    private String setProjCodeFinan;

    @ApiModelProperty("历年项目名称")
    private String baseHistorProjName;

    @ApiModelProperty("历年项目代码")
    private String baseHistorProjId;

    @ApiModelProperty("关联IRS应用名称")
    private String baseProjSys;

    @ApiModelProperty("关联IRS应用编码")
    private String baseProjSysCode;

    @ApiModelProperty("一本账重大应用名称")
    private String baseAccountAppName;

    @ApiModelProperty("“领域大脑”一本账名称")
    private String baseBrainName;

    @ApiModelProperty("单位核心业务名称")
    private String baseCoreBusiness;

    @ApiModelProperty("单位核心业务编码")
    private String baseCoreBusinessCode;

    @ApiModelProperty("项目起始时间")
    private String baseProjStartTime;

    @ApiModelProperty("项目终止时间")
    private String baseProjEndTime;

    @ApiModelProperty("项目期限")
    private String baseProjDuration;

    @ApiModelProperty("预算年度")
    private String baseProjSetYear;

    @ApiModelProperty("预算来源")
    private String baseProjAmountOri;

    @ApiModelProperty("预算来源说明")
    private String baseBasisAmountOri;

    @ApiModelProperty("项目总投资")
    private String baseProjTotalAmount;

    @ApiModelProperty("申报年度预算")
    private String baseProjDeclAmount;

    @ApiModelProperty("建设层级")
    private String baseProjConsClass;

    @ApiModelProperty("贯通层级")
    private String baseLowestLevel;

    @ApiModelProperty("立项依据")
    private String baseProjBasis;

    @ApiModelProperty("立项依据说明")
    private String baseBasisEstablish;

    @ApiModelProperty("立项依据证明材料")
    private String baseProjBasisFile;

    @ApiModelProperty("项目概述")
    private String baseProjIntro;

    @ApiModelProperty("项目内容与预期成效")
    private String beseExpectedResults;

    @ApiModelProperty("可行性研究报告")
    private String baseResearchReportFile;

    @ApiModelProperty("项目申报书")
    private String baseProjApplyFile;

    @ApiModelProperty("运维方案")
    private String baseOperatMaintenFile;

    @ApiModelProperty("其他附件")
    private String baseProjOtherFile;

    @ApiModelProperty("备注")
    private String baseProjRemark;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("出生产库时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("数据入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("发送端自增列")
    @TableId(value = "tongID", type = IdType.AUTO)
    private Integer tongID;
}
