package com.ningdatech.syndataapi.scheduler.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 项目立项评审信息
 * </p>
 *
 * @author CMM
 * @since 2023-08-22
 */
@Data
@TableName("szls_da_biz_331100_project_approve")
@ApiModel(value = "SzlsDaBiz331100ProjectApprove对象", description = "项目立项评审信息")
public class ProjectApprove implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目代码")
    private String baseProjId;

    @ApiModelProperty("项目名称")
    private String baseProjName;

    @ApiModelProperty("发改项目代码")
    private String baseDevelopCode;

    @ApiModelProperty("财政项目代码")
    private String setProjCodeFinan;

    @ApiModelProperty("评审结果")
    private String baseReviewResults;

    @ApiModelProperty("评审意见")
    private String baseReviewOpinion;

    @ApiModelProperty("评审意见附件")
    private String baseReviewCommentsFile;

    @ApiModelProperty("建议总投资")
    private String baseExpertTotalMoney;

    @ApiModelProperty("建议年度预算")
    private String baseExpertYearMoney;

    @ApiModelProperty("立项批复文件")
    private String approvalFile;

    @ApiModelProperty("建议批复总投资")
    private String baseInitialReviewTotalMoney;

    @ApiModelProperty("建议批复年度预算")
    private String baseProjReplyAmount;

    @ApiModelProperty("等保定级")
    private String equalProtectionLevel;

    @ApiModelProperty("初步设计方案")
    private String preliminaryDesignScheme;

    @ApiModelProperty("初步设计方案批复函")
    private String preliminaryDesignFile;

    @ApiModelProperty("年度预算下达金额")
    private String releaseYearMoney;

    @ApiModelProperty("数据来源")
    private String areaCode;

    @ApiModelProperty("出生产库时间")
    private LocalDateTime bizTime;

    @ApiModelProperty("操作标记")
    private String op;

    @ApiModelProperty("数据入库时间")
    private LocalDateTime tongTime;

    @ApiModelProperty("发送端自增列")
    @TableId(value = "tongID", type = IdType.AUTO)
    private Integer tongID;
}
